Bug 444845 - Seq24 crashes when right clicking edit or new (cell)
Seq24 crashes when right clicking edit or new (cell)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: seq24 (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
http://forums.fedoraforum.org/showthr...
:
: 446806 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 21:43 EDT by Michael Sharp
Modified: 2008-07-15 08:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-11 10:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug buddy report file (325.31 KB, text/plain)
2008-05-15 10:29 EDT, Guido Scholz
no flags Details

  None (edit)
Description Michael Sharp 2008-04-30 21:43:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
Seq24 will boot normally, however when you go to edit a "cell" by right-clicking the "cell' and choosing either Edit or New, Seq 24 Seg-faults. Output from terminal:

[nexxusix@localhost ~]$ seq24
lash_open_socket: could not connect to host 'localhost', service '14541'
lash_comm_connect_to_server: could not create server connection
SSE2 detected
Connected to JACK server with client name 'LASH_Server'
Opened ALSA sequencer with client ID 129
Listening for connections
[Connected to LASH]
Created project project-1 in directory /home/nexxusix/audio-projects/project-1
Added client 7dcbcd14-29e1-4b19-af8b-0a9bbc0e5eae of class  to project project-1
Client 7dcbcd14-29e1-4b19-af8b-0a9bbc0e5eae set its name to 'Seq24'
Reading [/home/nexxusix/.seq24rc]
Reading [/home/nexxusix/.seq24usr]
Error Reading [/home/nexxusix/.seq24usr]
SSE2 detected
[JACK transport slave]
*** buffer overflow detected ***: seq24 terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0xc0ab58]
/lib/libc.so.6[0xc09200]
/lib/libc.so.6[0xc08918]
/lib/libc.so.6(_IO_default_xsputn+0xcd)[0xb86e8d]
/lib/libc.so.6(_IO_vfprintf+0x8ef)[0xb5dfcf]
/lib/libc.so.6(__vsprintf_chk+0xad)[0xc089cd]
/lib/libc.so.6(__sprintf_chk+0x30)[0xc08900]
seq24[0x80558ff]
/usr/lib/libgtkmm-2.4.so.1(_ZN3Gtk12Widget_Class16realize_callbackEP10_GtkWidget+0x92)[0x6232c12]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x21e409]
/lib/libgobject-2.0.so.0[0x20f779]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x123)[0x210f83]
/lib/libgobject-2.0.so.0[0x22191a]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0x222997]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x222b59]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_realize+0x1ee)[0x822ee2]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_map+0x166)[0x822a5f]
/usr/lib/libgtk-x11-2.0.so.0[0x5d01b1]
/usr/lib/libgtk-x11 -2.0.so.0[0x750623]
/usr/lib/libgtkmm-2.4.so.1(_ZN3Gtk15Container_Class21forall_vfunc_callbackEP13_GtkContaineriPFvP10_GtkWidgetPvES5_+0x69)[0x61857b9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0xea)[0x5cda27]
/usr/lib/libgtk-x11-2.0.so.0[0x5d0217]
/usr/lib/libgtkmm-2.4.so.1(_ZN3Gtk12Widget_Class12map_callbackEP10_GtkWidget+0x52)[0x6232d32]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x21e409]
/lib/libgobject-2.0.so.0[0x20f779]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x21106c]
/lib/libgobject-2.0.so.0[0x22191a]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0x222997]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x222b59]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_map+0x183)[0x822a7c]
/usr/lib/libgtk-x11-2.0.so.0[0x5d01b1]
/usr/lib/libgtk-x11-2.0.so.0[0x572772]
/usr/lib/libgtkmm-2.4.so.1(_ZN3Gtk15Container_Class21forall_vfunc_callbackEP13_GtkContaineriPFvP10_GtkWidgetPvES5_+0x 69)[0x61857b9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_container_forall+0xea)[0x5cda27]
/usr/lib/libgtk-x11-2.0.so.0[0x5d0217]
/usr/lib/libgtkmm-2.4.so.1(_ZN3Gtk12Widget_Class12map_callbackEP10_GtkWidget+0x52)[0x6232d32]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x21e409]
/lib/libgobject-2.0.so.0[0x20f779]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x20c)[0x21106c]
/lib/libgobject-2.0.so.0[0x22191a]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0x222997]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x222b59]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_map+0x183)[0x822a7c]
/usr/lib/libgtk-x11-2.0.so.0[0x838e3d]
/usr/lib/libgtkmm-2.4.so.1(_ZN3Gtk6Widget6on_mapEv+0x46)[0x6235066]
/usr/lib/libgtkmm-2.4.so.1(_ZN3Gtk12Widget_Class12map_callbackEP10_GtkWidget+0x92)[0x6232d72]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x21e409]
/lib/libgobject-2.0.so.0[0x20f779]
/lib/libgobject-2.0 .so.0(g_closure_invoke+0x123)[0x210f83]
/lib/libgobject-2.0.so.0[0x22191a]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0x222997]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x222b59]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_map+0x183)[0x822a7c]
/usr/lib/libgtk-x11-2.0.so.0[0x838c7c]
/usr/lib/libgtkmm-2.4.so.1(_ZN3Gtk6Widget7on_showEv+0x46)[0x6235106]
/usr/lib/libgtkmm-2.4.so.1(_ZN3Gtk12Widget_Class13show_callbackEP10_GtkWidget+0x92)[0x6232ed2]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49)[0x21e409]
/lib/libgobject-2.0.so.0[0x20f779]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x123)[0x210f83]
/lib/libgobject-2.0.so.0[0x22191a]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x8c7)[0x222997]
/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x222b59]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_show+0xfc)[0x822214]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00136000 r-xp 00000000 08:03 202167     /usr/lib/libpng12.so.0.22.0
00136000-00137000 rwxp 00025000 08:03 202167     /usr/lib/libpng12.so.0.22.0
00137000-0015e000 r-xp 00000000 08:03 202447     /usr/lib/libfontconfig.so.1.2.0
0015e000-00166000 rwxp 00027000 08:03 202447     /usr/lib/libfontconfig.so.1.2.0
00166000-00175000 r-xp 00000000 08:03 201888     /usr/lib/libXext.so.6.4.0
00175000-00176000 rwxp 0000e000 08:03 201888     /usr/lib/libXext.so.6.4.0
00176000-00188000 r-xp 00000000 08:03 848186     /lib/libz.so.1.2.3
00188000-00189000 rwxp 00011000 08:03 848186     /lib/libz.so.1.2.3
00189000-0018a000 r-xp 00000000 08:03 200990     /usr/lib/libxcb-xlib.so.0.0.0
0018a000-0018b000 rwxp 00000000 08:03 200990     /usr/lib/libxcb-xlib.so.0.0.0
0018b000-001a6000 r-xp 00000000 08:03 200972     /usr/lib/libxcb.so.1.0.0
001a6000-001a7000 rwxp 0001a000 08:03 200972     /usr/lib/libxcb.so.1.0.0
001a7000-001c6000 r-xp 00000000 08:03 848224     /lib/libexpat.so.1.5.2
001c6000-001c8000 rwxp 0001f000 08:03 848224     /lib/libexpat.so.1.5.2
001c8000-001ca000 r-xp 00000000 08:03 200529     /usr/lib/libXau.so.6.0.0
001ca000-001cb000 rwxp 00001000 08:03 200529     /usr/lib/libXau.so.6.0.0
001ce000-001f6000 r-xp 00000000 08:03 202368     /usr/lib/libpangomm-1.4.so.1.0.30
001f6000-001f9000 rwxp 00027000 08:03 202368     /usr/lib/libpangomm-1.4.so.1.0.30
001f9000-001fe000 r-xp 00000000 08:03 200889     /usr/lib/libXdmcp.so.6.0.0
001fe000-001ff000 rwxp 00004000 08:03 200889     /usr/lib/libXdmcp.so.6.0.0
001ff000-00205000 r-xp 00000000 08:03 360906     /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
00205000-00206000 rwxp 00005000 08:03 360906     /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
00208000-00247000 r-xp 00000000 08:03 848223     /lib/libgobject-2.0.so.0.1400.6
00247000-00248000 rwxp 0003f000 08:03 848223     /lib/libgobject-2.0.so.0.1400.6
00248000-00312000 r-xp 00000000 08:03 848221     /lib/libglib-2.0.so.0.1400.6
00312000-00313000 rwxp 000ca000 08:03 848221     /lib/libglib-2.0.so.0.1400.6
00313000-0031d000 r-xp 00000000 08:03 845356     /lib/libnss_files-2.7.so
0031d000-0031e000 r-xp 00009000 08:03 845356     /lib/libnss_files-2.7.so
0031e000-0031f000 rwxp 0000a000 08:03 845356     /lib/libnss_files-2.7.so
0031f000-0032f000 r-xp 00000000 08:03 366185     /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
0032f000-00330000 rwxp 0000f000 08:03 366185     /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
00344000-0035b000 r-xp 00000000 08:03 218274     /usr/lib/libcairomm-1.0.so.1.1.0
0035b000-0035c000 rwxp 00016000 08:03 218274     /usr/lib/libcairomm-1.0.so.1.1.0
0035e000-0039c000 r-xp 00000000 08:03 202321     /usr/lib/libpango-1.0.so.0.1800.4
0039c000-0039e000 rwxp 0003e000 08:03 202321     /usr/lib/libpango-1.0.so.0.1800.4
003a0000-003a5000 r-xp 00000000 08:03 213348     /usr/lib/libsigc-2.0.so.0.0.0
003a5000-003a6000 rwxp 00004000 08:03 213348     /usr/lib/libsigc-2.0.so.0.0.0
003d8000-003f4000 r-xp 00000000 08:03 202250     /usr/lib/libgdk_pixbuf-2.0.so.0.1200.5
003f4000-003f5000 rwxp 0001b000 08:03 202250     /usr/lib/libgdk_pixbuf-2.0.so.0.1200.5
003f7000-00411000 r-xp 00000000 08:03 203951     /usr/lib/libatk-1.0.so.0.2009.1
00411000-00413000 rwxp 0001a000 08:03 203951     /usr/lib/libatk-1.0.so.0.2009.1
00415000-00445000 r-xp 00000000 08:03 202451     /usr/lib/libpangoft2-1.0.so.0.1800.4
00445000-00446000 rwxp 0002f000 08:03 202451     /usr/lib/libpangoft2-1.0.so.0.1800.4
00448000-0044a000 r-xp 00000000 08:03 203180     /usr/lib/libXcomposite.so.1.0.0
0044a000-0044b000 rwxp 00001000 08:03 203180     /usr/lib/libXcomposite.so.1.0.0
00462000-00501000 r-xp 00000000 08:03 203949     /usr/lib/libgdk-x11-2.0.so.0.1200.5
00501000-00504000 rwxp 0009f000 08:03 203949     /usr/lib/libgdk-x11-2.0.so.0.1200.5
00506000-0093d000 r-xp 00000000 08:03 203962     /usr/lib/libgtk-x11-2.0.so.0.1200.5
0093d000-00943000 rwxp 00437000 08:03 203962     /usr/lib/libgtk-x11-2.0.so.0.1200.5
00943000-00944000 rwxp 00943000 00:00 0
00946000-0094f000 r-xp 00000000 08:03 202452     /usr/lib/libpangocairo-1.0.so.0.1800.4
0094f000-00950000 rwxp 00008000 08:03 202452     /usr/lib/libpangocairo-1.0.so.0.1800.4
00952000-00955000 r-xp 00000000 08:03 853331     /lib/libuuid.so.1.2
00955000-00956000 rwxp 00002000 08:03 853331     /lib/libuuid.so.1.2
0095c000-00977000 r-xp 00000000 08:03 845514     /lib/ld-2.7.so
00977000-00978000 r-xp 0001a000 08:03 845514     /lib/ld-2.7.so
00978000-00979000 rwxp 0001b000 08:03 845514     /lib/ld-2.7.so
00979000-00a59000 r-xp 00000000 08:03 207006     /usr/lib/libstdc++.so.6.0.8
00a59000-00a5d000 r-xp 000df000 08:03 207006     /usr/lib/libstdc++.so.6.0.8
00a5d000-00a5e000 rwxp 000e3000 08:03 207006     /usr/lib/libstdc++.so.6.0.8
00a5e000-00a64000 rwxp 00a5e000 00:00 0
00ad6000-00afd000 r-xp 00000000 08:03 848183     /lib/libm-2.7.so
00afd000-00afe000 r-xp 00026000 08:03 848183     /lib/libm-2.7.so
00afe000-00aff000 rwxp 00027000 08:03 848183     /lib/libm-2.7.so
00b01000-00b04000 r-xp 0000Aborted
Client Seq24 removed from project project-1
Project project-1 removed
[nexxusix@localhost ~]$

Version-Release number of selected component (if applicable):
seq24-0.8.7-8.fc8

How reproducible:
Always


Steps to Reproduce:
1. Open Terminal, type Seq24
2. Right click cell, choose Edit
3. Seq24 crashes and exits...

Actual Results:
See terminal output above in "Description"

Expected Results:
Seq24 should then have opened another window for editing the cell. This window is basically a "Piano Roll" with a lot of options (midi channels, notes, bar length, etc).

Additional info:
I have actually solved the problem. Please see my link:
http://www.kvraudio.com/forum/viewtopic.php?p=3051286

Timestamp:
Posted: Wed Apr 30, 2008 1:35 am

It appears that a major library, gtkmm24, was not installed during application download with Add/Remove Software.
Comment 1 Guido Scholz 2008-05-15 10:29:33 EDT
Created attachment 305492 [details]
Bug buddy report file
Comment 2 Radek Valasek 2008-06-02 08:02:25 EDT
*** Bug 446806 has been marked as a duplicate of this bug. ***
Comment 3 Guido Scholz 2008-06-18 16:58:16 EDT
(In reply to comment #1)
> Created an attachment (id=305492) [edit]
> Bug buddy report file

Hi all,
meanwhile I found that substituting the configure line

%build
%configure
make %{?_smp_mflags}

by the more generic line

%build
./configure --prefix=/usr
make %{?_smp_mflags}

results in a package[1] without this error. So this seems some how to be
connected to compiler flags comming in with the %configure macro.

As far as I remember my gdb session the application dies in seqedit.cpp at line 249:

  show_all();

where the complete new edit window should be drawn.

Guido

[1] not to mention some necessary fixes for gcc 4.3 and libsigc
Comment 4 Anthony Green 2008-07-11 10:51:13 EDT
Thanks for this bug report.

glibc/gcc was detecting a buffer overflow.  When you configured with a clean set
of configure options, you were omitting the options to detect buffer overflows,
which is why it worked.

Finding the problem was pretty simple.  We were trying to format a 4 character
string into a 4 byte buffer.  Unfortunately, the author forgot that sprintf also
adds null termination, so we really need a 5 byte buffer.  I've added a patch
and am about to push a fix into rawhide.  

Did you really also hit this with F8?  If so, I'll push updates to F8 and F9 as
well.

Thanks,

AG
Comment 5 Fedora Update System 2008-07-11 11:39:01 EDT
seq24-0.8.7-13.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-07-11 11:45:30 EDT
seq24-0.8.7-9.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-07-15 08:16:23 EDT
seq24-0.8.7-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-07-15 08:17:54 EDT
seq24-0.8.7-9.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.